Update a Page HTTP Callback

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • http_callback_id number Required

    id of the http callback

application/json

Body

  • contenttype_header_string_optional_must_match_header_or_keyvaluepair string
  • error_email string

    must be valid email

  • feed_format string

    must match "json" or "xml"

  • feed_format_version number

    must be 9 or 10.

  • is_disabled boolean
  • is_guaranteed_delivery boolean
  • keyvaluepairkey_string_optional_reuqired_if_contenttype_is_keyvaluepair string
  • mode string Required
  • name string
  • notification_email string

    must be valid email

  • secure_key string Required
  • secure_type string
  • trigger_post_email string
  • url string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated page http callback id

PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/http_callbacks/{http_callback_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"contenttype_header_string_optional_must_match_header_or_keyvaluepair":"string","error_email":"support@iformbuilder.com","feed_format":"json","feed_format_version":10,"is_disabled":true,"is_guaranteed_delivery":true,"keyvaluepairkey_string_optional_reuqired_if_contenttype_is_keyvaluepair":"string","mode":"'delete'","name":"New Record Endpoint","notification_email":"support@iformbuilder.com","secure_key":"-----BEGIN RSA PRIVATE KEY-----\\nMIIEpAIBAAKCAQEAhDZuORmHJDScMC66KwyU+3SBsgLLwTy/yjRgP-----END RSA PRIVATE KEY-----","secure_type":"RS512","trigger_post_email":"support@iformbuilder.com","url":"https://www.iformbuilder.com/post_http_endpoint.php"}'
Request examples
{
  "contenttype_header_string_optional_must_match_header_or_keyvaluepair": "string",
  "error_email": "support@iformbuilder.com",
  "feed_format": "json",
  "feed_format_version": 10,
  "is_disabled": true,
  "is_guaranteed_delivery": true,
  "keyvaluepairkey_string_optional_reuqired_if_contenttype_is_keyvaluepair": "string",
  "mode": "'delete'",
  "name": "New Record Endpoint",
  "notification_email": "support@iformbuilder.com",
  "secure_key": "-----BEGIN RSA PRIVATE KEY-----\\nMIIEpAIBAAKCAQEAhDZuORmHJDScMC66KwyU+3SBsgLLwTy/yjRgP-----END RSA PRIVATE KEY-----",
  "secure_type": "RS512",
  "trigger_post_email": "support@iformbuilder.com",
  "url": "https://www.iformbuilder.com/post_http_endpoint.php"
}
Response examples (200)
{
  "id": 283
}